Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
[Groovy] Class ClassAndMimeTypeRegistry

    java.lang.Object
      org.codehaus.groovy.grails.web.util.ClassAndMimeTypeRegistry

    @groovy.transform.CompileStatic
    abstract class ClassAndMimeTypeRegistry
    extends java.lang.Object

Abstract class for class that maintains a registry of mappings MimeType,Class and a particular object type. Used by RendererRegistry and DataBindingSourceRegistry

Authors:
  Graeme Rocher

Since:
  2.3

Method Summary
`void` | `addToRegisteredObjects(java.lang.Class targetType, R object)`
`java.lang.Object` | `createCacheKey(java.lang.Class type, MimeType mimeType)`
`R` | `findMatchingObjectForMimeType(MimeType mimeType, java.lang.Object object)`
`protected R` | `findRegisteredObjectForType(java.lang.Class currentClass, MimeType mimeType)`
`java.util.Collection` | `getRegisteredObjects(java.lang.Class targetType)`
`void` | `registerDefault(MimeType mt, R object)`
`void` | `removeFromCache(java.lang.Class type, MimeType mimeType)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addToRegisteredObjects

    void addToRegisteredObjects(java.lang.Class targetType, R object)

### createCacheKey

    java.lang.Object createCacheKey(java.lang.Class type, MimeType mimeType)

### findMatchingObjectForMimeType

    R findMatchingObjectForMimeType(MimeType mimeType, java.lang.Object object)

### findRegisteredObjectForType

    protected R findRegisteredObjectForType(java.lang.Class currentClass, MimeType mimeType)

### getRegisteredObjects

    java.util.Collection getRegisteredObjects(java.lang.Class targetType)

### registerDefault

    void registerDefault(MimeType mt, R object)

### removeFromCache

    void removeFromCache(java.lang.Class type, MimeType mimeType)

Groovy Documentation